# from

abstract fun from(component: SoftwareComponent)

Provides the software component that should be published.

- Any artifacts declared by the component will be included in the publication.
- The dependencies declared by the component will be included in the published meta-data.

Currently 3 types of component are supported: 'components.java' (added by the JavaPlugin), 'components.web' (added by the WarPlugin) and `components.javaPlatform` (added by the JavaPlatformPlugin). For any individual MavenPublication, only a single component can be provided in this way. The following example demonstrates how to publish the 'java' component to a Maven repository.

    plugins {
        id 'java'
        id 'maven-publish'
    }

    publishing {
      publications {
        maven(MavenPublication) {
          from components.java
        }
      }
    }

Content copied to clipboard

#### Parameters

component

The software component to publish.